<?php

ob_start();
session_start();
include_once('class/class.mysql.php');
include_once('class.x9.php');
include_once('class/class.picasa.php');
include_once('class/utilitarios.php');
include_once('class/class.email.php');
$mysqlCom = new MysqlConnect();
extract($_POST);
$id_evento = $_SESSION["fild_id_evento"];
$id_x9 = $_SESSION['fild_id_x9'];


$Picasa = new Picasa();
$x9 = new x9();
$Email = new Email();

if ($ax == 'evento') {
    $x9->selectAlbum($id_evento, $identificador, $ap);
    while ($row = mysqli_fetch_object($x9->qry)) {
        $usuario_picasa = $row->usuario_picasa;
        $album_picasa = $row->album_picasa;
    }

    $fotos_array = array();
    $fotos_aprovada = array();
    $descricao = array();
    $id_foto_escolhida = array();
    $x9->fotosEscolhidas($id_evento);
    $x = 0;
    while ($row = mysqli_fetch_object($x9->qry)) {
        $fotos_array[$x] = $row->nome_foto;
        $fotos_aprovada[$x] = $row->for_album;
        $descricao[$x] = $row->descricao;
        $id_foto_escolhida[$x] = $row->id_foto_escolhida;
        $x++;
    }
    echo ' <input name="edtusuario_picasa" id="edtusuario_picasa" type="hidden" value="' . $usuario_picasa . '">';
    echo ' <input name="album_picasa" id="album_picasa" type="hidden" value="' . $album_picasa . '">';

    $Picasa->PicasaFotos($usuario_picasa, $album_picasa, 0, '512', $fotos_array, $fotos_aprovada, $descricao, $identificador, $id_foto_escolhida);

    //$Picasa->GetScriptFotosPicasaAll($usuario_picasa,$album_picasa,1200);
}


if ($ax == 'MaisPG') {
    $x9->fotosEscolhidas($id_evento);
    $fotos_array = array();
    $fotos_aprovada = array();
    $descricao = array();
    $id_foto_escolhida = array();
    $x = 0;
    while ($row = mysqli_fetch_object($x9->qry)) {
        $fotos_array[$x] = $row->nome_foto;
        $fotos_aprovada[$x] = $row->for_album;
        $descricao[$x] = $row->descricao;
        $id_foto_escolhida[$x] = $row->id_foto_escolhida;
        $x++;
    }
    $Picasa->PicasaFotos($usuario, $album, $pag, '512', $fotos_array, $fotos_aprovada, $descricao, $identificador, $id_foto_escolhida);
}

if ($ax == 'Paginacao') {
    $x9->selectAlbum($id_evento, $identificador, $ap);
    while ($row = mysqli_fetch_object($x9->qry)) {
        $usuario_picasa = $row->usuario_picasa;
        $album_picasa = $row->album_picasa;
    }

    $Picasa->PicasaPaginator($usuario_picasa, $album_picasa);
}



if ($ax == 'InsertFoto') {
    $x9->InsertEscolhida($id_evento, $nome_foto, $link_foto, $id_x9_local, $for_album, $deOnde);
    echo '<div id="' . $destino . '" class="pnQueroEssa">
	  <button link="' . $link_foto . '" nome_foto="' . $nome_foto . '" pn="' . $destino . '" class="mybutton red btnQuero" deOndeVem="Muldar">Mudar de Idéia</button></div>';
}

if ($ax == 'layout') {
    $id = $x9->InsertEscolhida($id_evento, $nome_foto, $link_foto, $id_x9_local, $for_album, $deOnde, $obs);
    if ($for_album == '0')
        echo '<img src="images/aprovado.jpg"/><br>';
    else {
        echo '<div style="width:550px; ">' . $obs . '</div></br>';
        echo '<img style="margin-bottom:0px;" src="images/nao_aprovo.png"/><br>';
    }

    echo '<button id_foto_escolhida="' . $id . '" link="' . $link_foto . '" nome_foto="' . $nome_foto . '" pn="' . $destino . '" class="mybutton white btnMuldarIdeia" deOndeVem="MudarIdeia">Muldar de Idéia</button>';
}

if ($ax == 'Statos') {

    $sql = "select x9.x9 from x9 where id_x9 = $id_x9";
    $qry = mysqli_query($mysqlCom->connect(), $sql);
    while ($row = mysqli_fetch_object($qry))
        echo $row->x9;
}


if ($ax == 'Escolhidas') {
    /* 	$x9->QtoFtosSelecioada($id_evento, $ondeEscolhidas);
      while($row = mysqli_fetch_object($x9->qry))
      $qtoFotos = $row->qto; */
    $sql = "select x9.x9 from x9 where id_x9 = $id_x9";
    $qry = mysqli_query($mysqlCom->connect(), $sql);
    while ($row = mysqli_fetch_object($qry))
        $AtivoNaoAtivo = $row->x9;

    $x9->VerFotosEscolhidas($id_evento, $ondeEscolhidas, $deFoto);

    echo '<div align="center">';

    echo '<script>
						         $(".btnNavegadorE").button({ disabled: false });
								 $(".btnControle").button({ disabled: false });
								 $("#btn' . $deFoto / 10 . '").button({ disabled: true });
								 $("#pnAtual").html(' . ($deFoto / 10 + 1) . ');
								 $("#spAtual").html(' . ($deFoto + 10) . ');
								 $("#btnProximoE").attr("nome", "' . (($deFoto + 10) / 10) . '");
								 $("#btnVoltarE").attr("nome", "' . (($deFoto - 10) / 10) . '");
						      </script>';
    if ($deFoto == 0) {
        echo '<script>
							       $(".btnControle").button({ disabled: false });
								   $("#btnPrimeiroE").button({ disabled: true });
								   $("#btnVoltarE").button({ disabled: true });
								  </script>';
    }

    /// Nesta ação é para proibir de ver as fotos na noiva sem senha, nas fotos escolhidas.
    $contraSenha = $_SESSION['fild_contrasenha'];
    $SenhaNoivaOK = $_SESSION['SenhaNoivaOK'];

    while ($row = mysqli_fetch_object($x9->qry)) {

        if (($contraSenha != '') and ($SenhaNoivaOK == 'OK'))
            $CondicaoVerFoto = 1;
        else
        if (($contraSenha == '') and ($SenhaNoivaOK == ''))
            $CondicaoVerFoto = 1;
        else
            $CondicaoVerFoto = 2;

        if ($row->de_onde != 4)
            $CondicaoVerFoto = 1;



        /// fim senha //////////////   	

        $i++;
        if ($CondicaoVerFoto == 1) {
            echo '<img class="mold" src="' . $row->link_foto . '?imgmax=512" onclick="return viewer.show(' . ($i - 1) . ')"><br>';
            echo '<div style="font-size:10px; margin-bottom:20px; margin-top:-20px">' . $row->nome_foto . '</div>';
            $img .= "viewer.add('" . $row->link_foto . '?imgmax=' . 1200 . "'); ";

            if ($AtivoNaoAtivo == 'Ativo') {
                echo '<div id="pnQE' . $i . '" class="pnQueroEssa">
					 <button link="' . $row->link_foto . '" nome_foto="' . $row->nome_foto . '" pn="pnQE' . $i . '" 
					 class="mybutton red btnQuero" deOndeVem="Muldar">Mudar de Idéia</button>
					</div>';
            } else {
                echo '<div class="pnQueroEssa">Suas fotos estão como finalizada,
						  maiores informações entre em contato com seu fotografo(a)</div>';
            }
        } else {
            echo '<div style="font-size:10px; margin-bottom:20px; margin-top:-20px">Imagen Bloqueada </br>' . $row->nome_foto . '</div>';
        }
    }

    //QtoFotos vem via Javascript
    if ($qtoFotos <= ($deFoto + 10)) {
        //Desabilita os botoes e para o script
        echo '<script>
		$("#btnUltimoE").button({ disabled: true });
		$("#btnProximoE").button({ disabled: true });
	     </script>';
    }

    echo '</div>';

    echo '<script type="text/javascript"> var viewer = new PhotoViewer();' .   $img .
        'viewer.disableEmailLink(); viewer.disablePhotoLink();
	 </script>';
}


if ($ax == 'PaginacaoEscolhida') {
    $x9->QtoFtosSelecioada($id_evento, $ondeEscolhidas);
    while ($row = mysqli_fetch_object($x9->qry))
        $qtoFotos = $row->qto;

    $qtoPaginas = ceil($qtoFotos / 10);
    echo '<input name="edtQtoFotos" id="EdtQtoFotos" type="hidden" value="' . $qtoFotos . '">';
    echo '<div align="center"> <span id="spAtual">10</span> Fotos de um total ' . $qtoFotos . ' fotos </div>';
    echo '<button id="btnPrimeiroE" class="btnControle btnNavegadorE" nome="0">Primeiro</button>';
    echo '<button id="btnVoltarE" class="btnControle btnNavegadorE" >Voltar</button>';
    echo '<button id="pnAtual" >1</button>';
    echo '<button id="btnProximoE" class="btnControle btnNavegadorE" nome="1">Próximo</button>';
    echo '<button id="btnUltimoE" class="btnControle btnNavegadorE" nome="' . ($qtoPaginas - 1) . '">Último</button>';
    echo '</div>';

    //Lista paginas
    echo '<div>';
    for ($i = 1; $i < $qtoPaginas + 1; $i++) {
        echo '<button class="btnNavegadorE" id="btn' . ($i - 1) . '" nome="' . ($i - 1) . '" >' . $i . '</button>';
    }
    echo '</div>';




    echo '<script>
			$( ".btnNavegadorE, #btnPrimeiroE, #btnVoltarE, #btnProximoE, #btnUltimoE, #pnAtual" )
			.button().click(function( event ) {
			  event.preventDefault();
			});	
			$("#pnAtual").button({ disabled: true });
			$("#btn1").button({ disabled: true });
			$("#btnPrimeiroE").button({ disabled: true });
			$("#btnVoltarE").button({ disabled: true });';

    if ($qtoPaginas < 2) {
        echo ' $(".btnNavegadorE").button({ disabled: true });';
    }

    echo '</script>';
}


if ($ax == 'ControleBotao') {
    $x9->SelectBotao($id_evento);
}

if ($ax == 'UpdateFotosEscolhida') {
    $x9->UpdateFotosEscolhida($id_x9_local, $link_foto);
}


if ($ax == 'DeleteFotoEscolhida') {
    $x9->DeleteFotoEscolhida($link_foto, $nome_foto, $id_evento);
    echo '<button link="' . $link_foto . '" nome_foto="' . $nome_foto . '" pn="' . $destino . '" class="mybutton white btnQuero" deOndeVem="Quero">Quero Escolher Essa</button>';
}

if ($ax == 'DeleteLayout') {
    $x9->DeleteFotoEscolhida($link_foto, $nome_foto, $id_evento, $id_foto_escolhida);
    echo '<button link="' . $link_foto . '" nome_foto="' . $nome_foto . '" pn="' . $destino . '" class="mybutton blue btnAprovo" deOndeVem="Aprovo">Aprovo</button>
		  <button link="' . $link_foto . '" nome_foto="' . $nome_foto . '" pn="' . $destino . '" class="mybutton red btnNaoAprovo" deOndeVem="NaoAprovo">Não Aprovo</button>';
}


if ($ax == 'HistoricoFinalizacao') {
    $x9->SelectHistorico($id_x9);
    while ($row = mysqli_fetch_object($x9->qry)) {

        echo '<div class="pnPrin">
	       <div class="dt"> Finalizado em ' . InverterDataHora($row->data) . '</div>
		   <div class="obs"><strong>' . $row->obs . '</strong></div>
		  </div>
		  <div class="limpa"></div>';
    }
}

if ($ax == 'InsertHistorico') {
    $x9->InsertHistorico($id_x9, $obs);
    $dataFinalizada = date("d/m/Y h:i:s");

    $x9->SelectEvento($id_evento);
    while ($row = mysqli_fetch_object($x9->qry)) {
        $Nome = $row->nome;
        $DataEvento = $row->data_evento;
        $TipoEvento = $row->descricao;
    }
    //Nome, data_cadastro, b.descricao, a.id_evento  

    $mensagen = '<table width="490" border="0">
				  <tr>
					<td colspan="3" align="center"><h2>X9 Finalizado</h2></td>
				  </tr>
				  <tr>
					<td width="93" align="right">Cliente</td>
					<td width="11">&nbsp;</td>
					<td width="372"><a href="http://vfoto.com.br/index.php?p=evento/principal&id_evento=' . $id_evento . '"><strong>' . $Nome . '</strong></a></td>
				  </tr>
				  <tr>
					<td align="right">Data Evento</td>
					<td>&nbsp;</td>
					<td>' . InverterDataHora($DataEvento) . '</td>
				  </tr>
				  <tr>
					<td align="right">Tipo Evento</td>
					<td>&nbsp;</td>
					<td>' . $TipoEvento . '</td>
				  </tr>
				  <tr>
					<td align="right">Finalizado EM</td>
					<td>&nbsp;</td>
					<td>' . $dataFinalizada . '</td>
				  </tr>
				  <tr>
					<td align="right">Obs.:</td>
					<td>&nbsp;</td>
					<td>' . $obs . '</td>
				  </tr>
				</table>';
    $Email->SendEmail($x9->Email, $x9->getEmailCliente($id_evento), 'X9 Finalizado', $mensagen);


    echo '<div class="pnPrin">
	       <div class="dt">' . $dataFinalizada . '</div>
		   <div class="obs">' . $obs . '</div>
		  </div>
		  <div class="limpa"></div>';
}

if ($ax == 'updateSenhaNoiva') {
    $_SESSION['SenhaNoivaOK'] = 'OK';
}
